Skip to main content
GET
/
v1
/
post_mortems
/
{id}
Retrieves an incident retrospective
curl --request GET \
  --url https://api.rootly.com/v1/post_mortems/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "b2b31f21-017c-49c4-82ae-2520b2a29e09",
    "type": "incident_post_mortems",
    "attributes": {
      "incident_id": "c4351004-8d14-4803-882f-0c0475811e13",
      "title": "Debitis sequi sunt similique.",
      "status": "draft",
      "url": "https://test.rootly.com/account/post_mortems/debitis-sequi-sunt-similique",
      "short_url": null,
      "content": null,
      "published_at": null,
      "started_at": "2026-02-13T18:08:04.641-08:00",
      "mitigated_at": null,
      "resolved_at": null,
      "cancelled_at": null,
      "show_timeline": true,
      "show_timeline_starred_only": false,
      "show_timeline_genius": true,
      "show_timeline_trail": true,
      "show_timeline_tasks": true,
      "show_timeline_action_items": true,
      "show_timeline_order": "desc",
      "show_functionalities_impacted": true,
      "show_services_impacted": true,
      "show_groups_impacted": true,
      "show_action_items": true,
      "created_at": "2026-02-13T18:08:04.967-08:00",
      "updated_at": "2026-02-13T18:08:04.971-08:00"
    },
    "relationships": {
      "incident_retrospective_steps": {
        "data": [
          {
            "id": "70c9a142-f766-40d9-95ff-9e6b08648ad5",
            "type": "incident_retrospective_steps"
          }
        ]
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
required

Resource UUID

Response

incident_post_mortem found

data
object
required